package AITB_2022.extaction;

import adf.core.agent.develop.DevelopData;
import adf.core.agent.info.AgentInfo;
import adf.core.agent.info.ScenarioInfo;
import adf.core.agent.info.WorldInfo;
import adf.core.agent.module.ModuleManager;
import adf.core.component.module.AbstractModule;
import rescuecore2.standard.entities.Refuge;

public abstract class AbstractRefugeSelector extends AbstractModule {
    Refuge result;

    public AbstractRefugeSelector(AgentInfo ai, WorldInfo wi, ScenarioInfo si,
            ModuleManager moduleManager, DevelopData developData) {
        super(ai, wi, si, moduleManager, developData);
    }

    public Refuge getResult() {
        return this.result;
    }
}
